Subject: bug#3594: Please make it easy to make ERC beep on /msg; better yet, make it happen by default

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 23:39:49 +0100

"Jason A. Spiro" <[email-masked]> writes:

> Please modify ERC so that I can easily make ERC beep when I get
> private messages.  Also, if possible, please enable this beeping by
> default.
>
> == Implementation idea ==
>
> I'm not an ERC expert but ISTM that a way to implement this would be
> to follow these steps:
>
> *  Create a customize-configurable option for me to specify that I
> want ERC to notify me when I get a new /msg.
> *  Create a function that will beep if that option is enabled.

Looking at the code, `erc-echo-notice-always-hook' is run when you get a
privmsg, so you can just hook into that.  I think.

> *  Add that function to the erc-server-PRIVMSG-functions hook by default.

I think beeping is annoying, so I don't think that should be the default.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no